using System.Text;

namespace JXCMS.Core.Extensions
{
    public static class StringExtension
    {
        public static bool IsNullOrEmpty(this string str)
        {
            return string.IsNullOrEmpty(str);
        }

        public static string InsertMultipleString(this string str, string insertStr, int count)
        {
            StringBuilder returnValue = new StringBuilder();
            for (int i = 0; i < count; i++)
            {
                returnValue.Append(insertStr);
            }

            returnValue.Append(str);
            return returnValue.ToString();
        }
        
    }
}